PATH_NOP			equ 0
PATH_WAIT			equ 1         	; wait for X-Coord  Wait( XCoord );
PATH_START			equ 3         	; Start Sprite      Start (Path,X,Y,Flags);
PATH_PAUSE			equ 4         	; Pause for "??" frames pause(Byte);
PATH_MOVE_TO		equ 5         	; sprite move-to    Move_to( x,y,speedx,speedy )
PATH_KLL_SPRITE		equ 6         	; kill this sprite off
PATH_SET_ANIM		equ 7         	; set the sprite animation
PATH_MOVE_REL		equ 8         	; move relative from current location (dx,dy)
PATH_MOVE_LOOP		equ 9         	; move relative from current location (dx,dy)
PATH_FOR			equ 10         	; For Next Loop(loopCounter)
PATH_NEXT			equ 11        	; Loop
PATH_CIRCLE			equ 12        	; Circle command
PATH_DRIFT			equ 13        	; Drift command  (pauseing with drift will still move)
PATH_GOTO			equ	14			; goto command
PATH_LONG_PAUSE		equ	15			; 2 byte pause
PATH_CONTROL_SCROLL	equ	16			; Control the scroll. Start or stop it.
PATH_RESTART_GAME	equ	17			; ReStart the level
PATH_RESETGROUP		equ	18			; Set the group to use, and clear it's current count (0-7)
PATH_SETGROUP		equ	19			; Set the currently active group					 (0-7)
PATH_SETFLAGS       equ 20			; OR in flag
PATH_CLEARFLAGS     equ 21			; AND out flag
PATH_TOGGLEFLAGS    equ 22			; EOR flag
PATH_PLAYSFX    	equ 23			; Play a TED sound effect

; Variable control....
PATH_SETVAR	    	equ 24			; Set a user variable


;
; Flags
;
KillClip			equ		1
Child				equ		2			; this is a child sprite. A "parent" is just the last normal sprite spawned in this path
TKillClip			equ		4			; SYS flag - dont use.
NOCOLLISION			equ		8			; Sprite has no collision to PLAYER
NOSHOOT				equ		16			; Sprite can not be shot (bullets pass through it)
GROUP				equ		32			; Sprite is IN a group
FIRE				equ		64			; Sprite is to FIRE! (if object struct is set to fire)
;
; Types
;
TYPE_ALIEN			equ		0		; baddie type
TYPE_BIGCOIN		equ		2		; Lots of money
TYPE_SMALLCOIN		equ		3		; small amount of money

			;
			; Spawning of threads/paths/sprites/baddies/whatever
			;
START		macro
			db  PATH_START, LO(\0), HI(\0), LO(\1), HI(\1),   LO(\2), HI(\2)&1, \3, \4
			endm

			;
			; Delays
			;
PNOP		macro
			db  PATH_NOP
			endm
WAIT		macro
			db  PATH_WAIT, \0
			endm
PAUSE		macro	
			db  PATH_PAUSE, \0
			endm
LONGPAUSE	macro	
			db  PATH_LONG_PAUSE, LO(\0),HI(\0)
			endm



			;
			; Kill Sprites + paths
			;
KILLSPRITE		macro
			db  PATH_KLL_SPRITE
			endm



			;
			; Movement
			;
MOVETO		macro			;(x,y,spx,spy) 
			db  PATH_MOVE_TO, LO(\0), HI(\0), \1, \2, \3
			endm
MOVE		macro
			db  PATH_MOVE_REL, \0, \1
			endm
MOVELOOP	macro
			db  PATH_MOVE_LOOP, \0, \1, \2
			endm
			; XRad,YRad,  XAngle,YAngle,   StepX,StepY, time
CIRCLE		macro
			db  PATH_CIRCLE, \0,\1,  \2,\3,  \4,\5,  LO(\6), HI(\6)
			endm
DRIFT		macro
			db	PATH_DRIFT, \0
			endm
SETCOORD	macro
			db	PATH_DRIFT, LO(\0), HI(\0), \1
			endm


			;
			; Flow control
			;
PFOR		macro
			db  PATH_FOR, \0
			endm
PNEXT		macro
			db  PATH_NEXT
			endm
GOTO		macro
			db  PATH_GOTO, LO(\0), HI(\0)
			endm
JUMP		macro
			db  PATH_GOTO, LO(\0), HI(\0)
			endm

			;
			; Scroll control
			;
SCROLL		macro
			db	PATH_CONTROL_SCROLL,\0
			endm
PLAYSOUND	macro
			db	PATH_PLAYSFX, \0
			endm


			;
			; Sprite groups
			;
RESETGROUP	macro
			db	PATH_RESETGROUP, \0, \1
			endm
SETGROUP	macro
			db	PATH_SETGROUP, \0
			endm

	
			;
			; Flag manipulation
			;
SETFLAGS	macro
			db	PATH_SETFLAGS,\0
			endm
CLEARFLAGS	macro
			db	PATH_CLEARFLAGS,\0
			endm
TOGGLEFLAGS	macro
			db	PATH_TOGGLEFLAGS,\0
			endm

			; Set a user variable  SETVAR var,value
SETVAR		macro
			db	PATH_SETVAR,\0,\1
			endm


			;
			; Animation
			;
SETANIM		macro	
			db  PATH_SET_ANIM, LO(\0), HI(\0)
			endm

